From 148c8cf909ca172c434e8ef3f4c64aa71d80792a Mon Sep 17 00:00:00 2001
From: Simon Ruderich <simon@ruderich.org>
Date: Sun, 4 Mar 2012 20:51:39 +0100
Subject: Enable verbose build.

Enable verbose build so it's easy to detect missing (hardening) flags.

Origin: vendor
Bug-Debian: http://bugs.debian.org/662191
Forwarded: not-needed
Last-Update: 2012-03-04
---
 src/Makefile | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/src/Makefile b/src/Makefile
index ff17486..642500e 100644
--- a/src/Makefile
+++ b/src/Makefile
@@ -141,7 +141,7 @@ define module_template
 BUILT_SOURCES += $$($(1)_SOURCES)
 $$($(1)_TARGET): $$(addprefix $(OBJ_DIR)/,$($(1)_SOURCES:.cpp=.o))
 	@echo "Module $$($(1)_TARGET)"
-	@$(CXX) -shared $(LDMODCMD) $(CXXFLAGS) -o $$($(1)_TARGET) \
+	$(CXX) -shared $(LDMODCMD) $(CXXFLAGS) -o $$($(1)_TARGET) \
 		$$(addprefix $(OBJ_DIR)/,$($(1)_SOURCES:.cpp=.o))
 endef
 
@@ -154,7 +154,7 @@ define unittest_template
 BUILT_SOURCES += $(1).cpp
 $(1): $(TEST_OBJECTS) $(1).cpp
 	@echo "Linking $(1)"
-	@$(CXX) $(LDCMD) $(CXXFLAGS) -o $(1) $(1).cpp $(TEST_OBJECTS) \
+	$(CXX) $(LDCMD) $(CXXFLAGS) -o $(1) $(1).cpp $(TEST_OBJECTS) \
 		$(LDFLAGS) -lboost_unit_test_framework
 endef
 
@@ -166,7 +166,7 @@ $(foreach test,$(TESTS),$(eval $(call unittest_template,$(test))))
 
 $(TARGET): $(MRD_OBJECTS)
 	@echo "Linking $(TARGET)"
-	@$(CXX) $(LDCMD) $(CXXFLAGS) -o $@ $(MRD_OBJECTS) $(LDFLAGS)
+	$(CXX) $(LDCMD) $(CXXFLAGS) -o $@ $(MRD_OBJECTS) $(LDFLAGS)
 
 install: $(TARGET) $(EXTERNAL_MODULES)
 	install -D $(TARGET) $(DEST_PREFIX)/sbin/$(TARGET)
@@ -196,7 +196,7 @@ $(OPTIONS):
 
 $(DEPS_DIR)/%.d: %.cpp $(OPTIONS)
 	@echo "Deps $<"
-	@set -e; mkdir -p $(dir $@); \
+	set -e; mkdir -p $(dir $@); \
 		$(CXX) -MM -MT $@ -MT $(addprefix $(OBJ_DIR)/,$(<:.cpp=.o)) \
 		       $(CXXFLAGS) $< > $@
 
@@ -210,7 +210,7 @@ endif
 
 $(OBJ_DIR)/%.o: %.cpp $(OPTIONS)
 	@echo "C++ $<"
-	@set -e; mkdir -p $(dir $@); \
+	set -e; mkdir -p $(dir $@); \
 		$(CXX) -c $(CXXFLAGS) $< -o $@
 
 clean:
